Package com.sun.jna

# Interface ToNativeConverter

All Known Subinterfaces:
  `TypeConverter`

All Known Implementing Classes:
  `EnumConverter`, `NativeMappedConverter`

public interface ToNativeConverter
Define conversion from a Java type to its corresponding native type.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `Class<?>`
  `nativeType()`
  Indicate the type expected from `toNative(java.lang.Object, com.sun.jna.ToNativeContext)`.
  `Object`
  `toNative(Object value, ToNativeContext context)`
  Convert a Java type to an appropriate native type.

- ## Method Details

  - ### toNative

    Object toNative(Object value, ToNativeContext context)
    Convert a Java type to an appropriate native type. The new type must be one of the following classes:
    - `Pointer`
    - Boolean
    - Byte
    - Short
    - Character
    - Integer
    - `NativeLong`
    - Long
    - Float
    - Double
    - `Structure`
    - String
    - `WString`
    - `Buffer` (unsupported in direct mode)
    - primitive array (unsupported in direct mode)

  - ### nativeType

    Class<?> nativeType()
    Indicate the type expected from `toNative(java.lang.Object, com.sun.jna.ToNativeContext)`.